Name: qtparted
Version: 0.4.4
Release: alt1.M24.1

Packager: Alexander Nekrasov <canis@altlinux.ru>

Group: System/Configuration/Hardware
Summary: Flexible GUI partitioning tool
Summary(ru_RU.KOI8-R):        

License: GPL
URL: http://qtparted.sourceforge.net/

Source0: %name-%version.tar.bz2
Source1: %name-pam
Source2: %name-security

# manually removed: gcc-java kde-settings kdelibs-devel boson libdnet-devel libjpeg-devel libpng-devel libqscintilla-designer libqt3-settings qt3-designer xorg-x11-libs zlib-devel xorg-x11-devel 
# Automatically added by buildreq on Sat Feb 05 2005
BuildRequires: fontconfig freetype2 gcc-c++ hostinfo jfsprogs libe2fs-devel libparted-devel libprogsreiserfs-devel libqt3-devel libstdc++-devel ntfsprogs xfsprogs

BuildRequires: libpam0-devel

%description
QTParted is a Partition Magic clone written in C++ using the Qt toolkit, GUI partitioning tool.
QtParted is GNU Parted based. It's a program that allows you to create, destroy,
resize, move and copy hard disk partitions. 
This is useful for creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%description -l ru_RU.KOI8-R

QtParted    "Partition Magic" --
        .
   C++    Qt      
  Parted,    GNU.
   , , ,    
  .
QtParted         , 
           .

%prep
%setup -q

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

%configure \
	--disable-rpath \
	--enable-shared \
	--disable-debug

%make_build

%install
%makeinstall

%__install -D -m644 data/%name.xpm %buildroot%_iconsdir/%name.xpm
%__install -D -m644 data/qtparted_16.png $RPM_BUILD_ROOT%_miconsdir/%name.png
%__install -D -m644 data/qtparted_64.png $RPM_BUILD_ROOT%_liconsdir/%name.png

# usermode
%__install -D -m640 %SOURCE1 $RPM_BUILD_ROOT/etc/pam.d/%name
%__install -D -m640 %SOURCE2 $RPM_BUILD_ROOT/etc/security/console.apps/%name
%__install -d -m755 $RPM_BUILD_ROOT/%_bindir
ln -s /usr/bin/consolehelper $RPM_BUILD_ROOT/%_bindir/%name
#create menu
mkdir -p %buildroot/%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(qtparted): command="%name" needs="X11" \\
icon="qtparted.xpm" section="Configuration/Hardware" \\
title="QtParted" \\
genericname="Partitioning tool" \\
longtitle="GUI partitioning tool"
EOF


%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_sbindir/%name
/etc/pam.d/%name
/etc/security/console.apps/%name
%_datadir/applnk/System/%name.desktop
%_datadir/%name
%_mandir/man1/*
%_datadir/pixmaps/*.xpm
%_iconsdir/*.xpm
%_liconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%doc README AUTHORS ChangeLog TODO

%changelog
* Mon Feb 14 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.4-alt1.M24.1
- backport to Master 2.4

* Sun Feb 06 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.4-alt2
- fix menu
- add run with consolehelper
- update buildreqs

* Thu Sep 02 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.4-alt1.1
- Rebuilt with libparted-1.6.so.12.

* Fri Jun 11 2004 Vitaly Lipatov <lav@altlinux.ru> 0.4.4-alt1
- new version
- cleanup spec, update requires (bug #4318)

* Sun Feb 29 2004 Alexander Nekrasov <canis@altlinux.ru> 0.4.0-alt1
- first build
